php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #14559 cannot load libphp4.so into server
Submitted: 2001-12-17 09:35 UTC Modified: 2001-12-21 10:25 UTC
From: mdecke at phoetry dot de Assigned:
Status: Closed Package: Apache related
PHP Version: 4.1.0 OS: solaris 7
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: mdecke at phoetry dot de
New email:
PHP Version: OS:

 

 [2001-12-17 09:35 UTC] mdecke at phoetry dot de
Hi php.net Team,

i couldn't load the libphp4.so into the server.

machine: sun/sparc
os     : solaris 7
apache : 1.3.20

i installed gcc,binutils,make ... etc. according to the installation-guide on php.net

my installation is following:

  - ./configure --with-apxs=/us/local/apache/apxs
                --with-oci8=/<path>/oracle
                --enable-libgcc
  - make
  - make install

  - edited the httpd.conf according to the installation-guide on php.net

  - cp php.ini-dist /usr/local/php.ini

then i tried to test the configuration

  - apachectl configtest

the result was:

  error on line 241
  cannot load /usr/local/apache/libexec/libphp4.so into server:ld.so.1:usr/local/apache/httpd:fatal:libgcc_s.so.1:open failed: no such file or directory

i looked of course into the directories
  - libphp4.so is in /usr/local/apache/libexec
and
  - libgcc_s.so.1 is in /usr/local/lib

i added --enable-libgcc in the configure-line because i read it in a bug-report, i thought it could fix something.

thanks in advance
yours 
Markus Decke 
 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-12-17 09:47 UTC] derick@php.net
My guess is that apache is compiled without gcc 3, and the php apache moduel with gcc 3. That's is not going to work. Either rebuild httpd with gcc, or build the php apache module with gcc 2.95.1 for example.

Please report back if this fixes the issue.

Derick
 [2001-12-17 10:03 UTC] mdecke at pjoetry dot de
Hi

in the documentation, about how apache was compiled,
my co-worker wrote that apache is compiled with
gcc 3

i tested it with gcc -v 
and the answer was: gcc version 3

i'am assuming that both,
 php and apache have been compiled with gcc 3





 [2001-12-17 10:04 UTC] mdecke at phoetry dot de
++++++++++++++++++++++++++++++++++++
i email adress is mdecke@phoetry.de
i misspelled my adress
sorry
++++++++++++++++++++++++++++++++++++
thanks
Markus Decke
 [2001-12-17 10:12 UTC] mdecke at phoetry dot de
++++++++++++++++++++++++++++++++++++
i email adress is mdecke@phoetry.de
i misspelled my adress
sorry
++++++++++++++++++++++++++++++++++++
thanks
Markus Decke
 [2001-12-17 10:13 UTC] derick@php.net
1. Did you try without enabling --enable-libgcc ?
2. Can you compile PHP as a static apache module (and thus recompilit it into apache).

3. Wanted to add that I have no problems with gcc 2.95.1 on Solaris and a static apache module.

Derick
 [2001-12-17 11:23 UTC] mdecke at phoetry dot de
hi

answer to your posting

1. i tried with option --enable-libgcc and without

2. php as a static module, needs that you recompile apache, doesn't it?
   the problem is that it is a running server
   so static module is no option, yet.

3. ok that's a good option for me then.

---

i tried it again with --enable-libgcc and without
i removed gcc (which was installed) and added the gcc which was used for apache (which was probably the installed one).
it did not work
same error message ...

 
   

 [2001-12-17 11:31 UTC] mdecke at phoetry dot de
i have to see, if we are going to do that what you 
assummed ( 3.). it won't be till friday 18.12.

thanks 

Markus Decke
 [2001-12-17 11:34 UTC] derick@php.net
Okay, succes with it. I'll leave this report in the feedback state then.

Derick
 [2001-12-21 10:21 UTC] mdecke at phoetry dot de
Hi,
i've made it, i compiled php and could load it in apache as an DSO.

there where the wrong paths set, so apache couldn't find libgcc_s.so.1 

so i made some links, and it worked.

Thank you for your help
Merry Crhistmas and a happy new year
Markus
 [2001-12-21 10:25 UTC] mfischer@php.net
Closing.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sun Nov 27 15:05:53 2022 UTC